API: Organizations

The Organization object

Every resource on Spreaker is part of an organization. When a new user account is created on the platform, an organization is created for it. All the podcasts and episodes added by any user of an organization are also owned by the organization itself.

An organization has several properties. Each API can return an Organization model in its entirety or with just a subset. All the properties are listed here:

Property Type Description
organization_id Numeric Unique organization identifier
name String The organization’s name
description String The organization’s description
site_url String Public URL of the organization on Spreaker’s website
image_original_url String Original size image URL
image_url String 200x200px size image URL
slug String Slug for the organization URL

Retrieving a Single Organization

GET /v2/organizations/ORGANIZATION-ID

You can retrieve the public information of an organization profile by sending a GET request to the URL above. This API will return only public organization profile data.

To know the organization identifier of your user account, you need to Retrieve the authenticated user. See The User object to learn more.

Example

curl https://api.spreaker.com/v2/organizations/42

The response body is a JSON object containing all the public organization profile fields.

{
    "response": {
        "organization": {
            "organization_id": 42,
            "name": "Mondadori",
            "description": null,
            "image_url": null,
            "image_original_url": null,
            "slug": "mondadori",
            "site_url": "https://www.spreaker.com/organization/mondadori--42"
        }
    }
}